Open CASCADE Technology: IFSelect_SelectModelEntities Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
IFSelect_SelectModelEntities Class Reference

A SelectModelEntities gets all the Entities of an InterfaceModel. More...

`#include <IFSelect_SelectModelEntities.hxx>`

Inheritance diagram for IFSelect_SelectModelEntities:
[legend]

## Public Member Functions
| IFSelect_SelectModelEntities ()
| Creates a SelectModelRoot. More...
Interface_EntityIterator | RootResult (const Interface_Graph &G) const
| Returns the list of selected entities : the Entities of the Model (note that this result assures naturally uniqueness) More...
virtual Interface_EntityIterator | CompleteResult (const Interface_Graph &G) const
| The complete list of Entities (including shared ones) ... is exactly identical to RootResults in this case. More...
TCollection_AsciiString | Label () const
| Returns a text defining the criterium : "Model Entities". More...
Public Member Functions inherited from IFSelect_SelectBase
void | FillIterator (IFSelect_SelectionIterator &iter) const
| Puts in an Iterator the Selections from which "me" depends This list is empty for all SelectBase type Selections. More...
Public Member Functions inherited from IFSelect_Selection
Interface_EntityIterator | UniqueResult (const Interface_Graph &G) const
| Returns the list of selected entities, each of them beeing unique. Default definition works from RootResult. According HasUniqueResult, UniqueResult returns directly RootResult, or build a Unique Result from it with a Graph. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Protected Member Functions inherited from IFSelect_Selection
virtual Standard_Boolean | HasUniqueResult () const
| Returns True if RootResult guarantees uniqueness for each Entity. Called by UniqueResult. Default answer is False. Can be redefined. More...

## Detailed Description

A SelectModelEntities gets all the Entities of an InterfaceModel.

## Constructor & Destructor Documentation

IFSelect_SelectModelEntities::IFSelect_SelectModelEntities | ( |  | ) |

Creates a SelectModelRoot.

## Member Function Documentation

virtual Interface_EntityIterator IFSelect_SelectModelEntities::CompleteResult | ( | const Interface_Graph & | G | ) | const
| virtual

The complete list of Entities (including shared ones) ... is exactly identical to RootResults in this case.

Reimplemented from IFSelect_Selection.

TCollection_AsciiString IFSelect_SelectModelEntities::Label | ( |  | ) | const
| virtual

Returns a text defining the criterium : "Model Entities".

Implements IFSelect_Selection.

Interface_EntityIterator IFSelect_SelectModelEntities::RootResult | ( | const Interface_Graph & | G | ) | const
| virtual

Returns the list of selected entities : the Entities of the Model (note that this result assures naturally uniqueness)

Implements IFSelect_Selection.

The documentation for this class was generated from the following file:

- IFSelect_SelectModelEntities.hxx